Kerbal Space Program - Bug #3966

NuliReferenceException
01/13/2015 12:20 PM - vagran

Status: Duplicate Start date: 01/13/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Several exceptions in the log:

[LOG 22:14:05.348] AddonLoader: Instantiating addon 'ContractDefs' from assembly 'KSP'
[EXC 22:14:05.680] NullReferenceException: Object reference not set to an instance of an object
UIManager.Update ()

UlManager.DidAnyPointerHitUI ()

SpaceCenterCamera2.InputCamera ()

SpaceCenterCamera2.Update ()

[LOG 22:14:08.293] ContractSystem: Found 16 contract types

[LOG 22:14:08.294] ContractSystem: Found 34 parameter types

[LOG 22:14:08.296] ContractSystem: Found 5 predicate types

[LOG 22:14:08.309] StrategySystem: Found 0 strategy types

[LOG 22:14:08.310] StrategySystem: Found 3 effect types

[LOG 22:14:08.317] [ScenarioDestructibles]: Loading... 0 objects registered

[LOG 22:14:08.319] [ScenarioUpgradeableFacilities]: Loading... 0 objects registered

[LOG 22:14:16.695] Text Generator Loaded: 339 entries in 16 Text Sets

[LOG 22:14:28.637] Flight State Captured

[LOG 22:14:28.643] Saving Achievements Tree...

[EXC 22:14:28.644] NullReferenceException: Object reference not set to an instance of an object
KSPAchievements.CrewRef.Save (.ConfigNode node)
KSPAchievements.CrewRecovery.OnSave (.ConfigNode node)

ProgressNode.Save (.ConfigNode node)

ProgressTree.Save (.ConfigNode node)

ProgressTracking.OnSave (.ConfigNode node)

ScenarioModule.Save (.ConfigNode node)

ProtoScenarioModule..ctor (.ScenarioModule module)
ScenarioRunner.GetUpdatedProtoModules ()

Game.Updated ()

GamePersistence.SaveGame (System.String saveFileName, System.String saveFolder, SaveMode saveMode)
MCSceneSpawner.onMCDespawn ()

EventVoid.Fire ()

MCDespawner.BtnExit (.POINTER_INFO& ptr)

UIButton.Oninput (.POINTER_INFO& ptr)

AutoSpriteControlBase.Onlnput (POINTER_INFO ptr)

UlManager.DispatchHelper (.POINTER_INFO& curPtr, Int32 camIndex)
UIManager.Dispatchinput ()

UIManager.Update ()

UlManager.DidAnyPointerHitUI ()

SpaceCenterCamera2.InputCamera ()

SpaceCenterCamera2.Update ()

History

#1-01/13/2015 01:14 PM - hfbs
- Status changed from New to Duplicate

- % Done changed from 0 to 100
Despite the lack of information about what this bug actually is, I'm assuming it's a duplicate of #3243 as it contains the same NRE.

#2 - 01/14/2015 02:22 AM - vagran

hfbs wrote:

Despite the lack of information about what this bug actually is, I'm assuming it's a duplicate of #3243 as it contains the same NRE.

One more detail | found - | am unable to play the saved game with this bug. When | enter any building, | cannot exit it. When | press "Exit" in top-right
corner, the building screen still stays active, but time wrap indicator on the bottom appears above it. Further pressing "Exit" button does nothing. Also
cannot quit through pause menu - pressing quit does nothing, after one activation of pause menu, the exit button in bottom-right corner becomes
inactive.

#3 - 01/14/2015 07:35 AM - Squelch
vagran wrote:
hfbs wrote:
Despite the lack of information about what this bug actually is, I'm assuming it's a duplicate of #3243 as it contains the same NRE.
One more detail | found - | am unable to play the saved game with this bug. When | enter any building, | cannot exit it. When | press "Exit" in
top-right corner, the building screen still stays active, but time wrap indicator on the bottom appears above it. Further pressing "Exit" button does

nothing. Also cannot quit through pause menu - pressing quit does nothing, after one activation of pause menu, the exit button in bottom-right
corner becomes inactive.

There really isn't enough information in your report to identify the cause of the symptoms you describe. We need the full logs and the steps you took
to trigger the behaviour. While there are similarities to the linked issue, it is hard to dismiss it as a duplicate. A Null Reference Exception (NRE) is a
generic error report in the log. The circumstances that lead to that error being thrown are the most important part in identifying the underlying cause.

This issue in its current form cannot be processed. Logs, platform and steps to reproduce are as important as the observed symptoms. Please refer to
the excellent guide on reporting here
